// pages/contest/score/score.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    score: 0,
    rank: 0
  },

  toLink (e) {
    wx.navigateTo({
      url: e.currentTarget.dataset.url,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let {rank,score} = options
    this.setData({
      rank,
      score
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function (e) {
    if (e.from === 'button') {
      console.log(e.target)
    }
    let {nickname}  = wx.getStorageSync('user')
    return {
      title: `${nickname||'我'}@你，赢得高分，等你挑战！`,
      path: 'pages/home/home',
      imageUrl: '../../../imgs/home/banner.png',
      success: function (res) {
        wx.showToast({
          title: '分享成功！',
          icon: 'none'
        })
      }
    }
  }
})